# Emacs installation

On Debian, use apt package manager to complete a dependencies:

```bash
sudo apt-get update

# For installing. Need a texinfo for this dependencies: makeinfo >= 4.13
sudo apt-get install git autoconf texinfo 
# X development libraries and GTK+
sudo apt-get install libx11-dev libxpm-dev libxft-dev libxext-dev libxt-dev
# GTK+ and image libraries
sudo apt-get install libgtk-3-dev libtiff-dev libgif-dev libjpeg-dev libpng-dev libxpm-dev
# Additional Optional Packages
sudo apt-get install libncurses-dev libgnutls28-dev libxml2-dev
# Clipboard integration for terminal
sudo apt-get install xclip
```

Then install Emacs from source (git):

```bash
git clone https://git.savannah.gnu.org/git/emacs.git
cd emacs
make
sudo make install
```

Use the configuration:

```bash
rm -r ~/.emacs.d
rm ~/.emacs
git clone https://gitea.ditaajipratama.net/aji/emacs.d.git ~/.emacs.d
```

Be careful, it will remove your old `.emacs.d` directory and `.emacs` file.
